---
title: List logs
url: https://www.tines.com/docs/api/stories/actions/list-logs/
updated: 2026-03-09T14:32:33+00:00
description: List all logs emitted by a specific action.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Stories](https://www.tines.com/llm/docs/api/stories.md) › [Actions](https://www.tines.com/llm/docs/api/stories/actions.md)*

# List logs

*[View on tines.com](https://www.tines.com/docs/api/stories/actions/list-logs/)*

## Description

List all logs emitted by a specific action.

## Request

HTTP Method: **GET**

| Path Parameter | Description      |
| -------------- | ---------------- |
| action_id      | ID of the action |

| Query Parameter | Description                                                                                         |
| --------------- | --------------------------------------------------------------------------------------------------- |
| level           | **Optional** Filter logs by a given severity level (warning = 2, info = 3, error = 4).              |
| per_page        | **Optional** Set the number of results returned per page. Defaults to 20.                           |
| page            | **Optional** Specify the page of results to return if there are multiple pages. Defaults to page 1. |

```bash
curl -X GET \
  https://<tenant-domain>/api/v1/actions/<<action_id>>/logs \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'
```

## Response

A successful request will return a JSON object listing the action logs.

### Field description

| Parameter     | Description                                                               |
| ------------- | ------------------------------------------------------------------------- |
| id            | Action log ID.                                                            |
| level         | The severity level of the log (warning = 2, info = 3, error = 4).         |
| message       | The log message.                                                          |
| created_at    | ISO 8601 Timestamp representing creation date and time of the action log. |
| inbound_event | The inbound event for the action run.                                     |

### Sample response

```json

{
"action_logs": [
  {
    "id": 733,
    "level": 3,
    "message": "Sending request to https://<tenant-domain>/api/v1/stories/ with options:
      {
        \"url\": \"https://<tenant-domain>/api/v1/stories/\",
        \"params\": {},
        \"body\": null,
        \"headers\": {
          \"content-type\": \"application/json\",
          \"Authorization\": \"Bearer ****************\",
          \"User-Agent\": \"Tines (Advanced Security Automation; tines.com)\",
          \"Content-Type\": null
        },
        \"method\": \"get\"
      }",
    "created_at": "2023-12-20T14:41:15Z",
    "inbound_event": null
  },
],
"meta": {
  "current_page": "https://<tenant-domain>/api/v1/actions/<<action_id>>/logs?per_page=20&page=1",
  "previous_page": null,
  "next_page": null,
  "next_page_number": null,
  "per_page": 20,
  "pages": 1,
  "count":1
  }
}

```
